System.ServiceModel 4.0.0.0 System.ServiceModel.Configuration.MsmqElementBase To be added.

Represents the configuration element that specifies settings required for interaction with a Message Queuing (MSMQ) sender or receiver.

- Constructor
  4.0.0.0
  To be added.

  Initializes a new instance of the class.

- Method
  4.0.0.0
  System.Void `` To be added.

  Applies the settings of this configuration element to the specified .

  The binding element to which the settings will be applied.
- Property
  4.0.0.0
  System.Type To be added. To be added.

  Gets the binding type associated with this configuration element.

- Method
  4.0.0.0
  System.Void `` To be added.

  Copies the settings from the specified to this configuration element.

  The whose settings are to be copied to this configuration element.
- Method
  4.0.0.0
  System.ServiceModel.Channels.TransportBindingElement To be added. To be added. To be added.
- Method
  4.0.0.0
  System.Void `` To be added. To be added. To be added.
- Property
  4.0.0.0
  System.Configuration.ConfigurationPropertyCollection To be added. To be added. To be added.
- Property
  4.0.0.0
  System.Configuration.ConfigurationProperty("serializationFormat", DefaultValue=Mono.Cecil.CustomAttributeArgument, Options=System.Configuration.ConfigurationPropertyOptions.None)
  System.ServiceModel.MsmqIntegration.MsmqMessageSerializationFormat To be added.

  This property can have one of the following values:

  ActiveX - The ActiveX serializer is used to serialize objects.

  Binary - The is used to serialize objects.

  ByteArray - The object is serialized to an array of bytes.

  Stream - The object is serialized to a stream.

  Xml - The is used to serialize objects.

  The default value is Xml.

  Gets or set the to be used when serializing Message Queuing (MSMQ) messages.